%define  _fontdir  %{_datadir}/fonts/TTF/japanese-vlgothic

Name:    fonts-ttf-japanese-vlgothic
Summary: VLGothic font family - Free Japanese True Type Font
Summary(ja): VLゴシックフォントファミリ
Version: 20130607
Release: %mkrel 2
License: BSD Like
Group:   System/Fonts/True type
URL:     http://dicey.org/vlgothic/
Source0: http://sourceforge.jp/projects/vlgothic/downloads/50227/VLGothic-%{version}.tar.xz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:    mkfontdir, mkfontscale
Requires(post):   fontconfig
Requires(postun): fontconfig
Provides:  VLGothic
Obsoletes: fonts-ttf-vlgothic


%description
VLGothic font family - Free Japanese True Type Font
- VL PGothic
- VL Gothic

%description -l ja
このパッケージには以下のフリーの日本語 True Type フォントが含まれています。

- VL Pゴシック (M+ 1C Regular 及び さざなみゴシック をベースに Project Vine が改良を行ったフォント)

- VLゴシック (M+ 1M Regular 及び さざなみゴシック をベースに Project Vine が改良を行ったフォント)


%prep
%setup -q -n VLGothic

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -p -m 644 *.ttf $RPM_BUILD_ROOT%{_fontdir}

mkfontscale $RPM_BUILD_ROOT%{_fontdir}
mkfontdir $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-japanese-vlgothic:pri=50


%post
fc-cache

%postun
fc-cache


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc Changelog* LICENSE* README*
%{_fontdir}/*.ttf
%{_fontdir}/fonts.dir
%{_fontdir}/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-japanese-vlgothic:pri=50


%changelog
* Tue Apr 09 2019 tex - 20130607-2pclos2019
- rebuild against updates

* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 20130607-1pclos2013
- 20130607 imported from tomcat
